org.bouncycastle.util.io.pem

## Class PemReader

- java.lang.Object
- - java.io.Reader
  - - java.io.BufferedReader
    - - org.bouncycastle.util.io.pem.PemReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class PemReader
      extends java.io.BufferedReader

  A generic PEM reader, based on the format outlined in RFC 1421

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LAX_PEM_PARSING_SYSTEM_PROPERTY_NAME`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PemReader(java.io.Reader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PemObject` | `readPemObject()` Read the next PEM object as a blob of raw data with header information.

    - ### Methods inherited from class java.io.BufferedReader

      `close, lines, mark, markSupported, read, read, readLine, ready, reset, skip`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LAX_PEM_PARSING_SYSTEM_PROPERTY_NAME

          public static final java.lang.String LAX_PEM_PARSING_SYSTEM_PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PemReader

          public PemReader(java.io.Reader reader)

  - ### Method Detail

    - #### readPemObject

          public PemObject readPemObject()
                                  throws java.io.IOException

      Read the next PEM object as a blob of raw data with header information.
      Returns:
        the next object in the stream, null if no objects left.
      Throws:
        `java.io.IOException` - in case of a parse error.